Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Class EventHandlerFilter<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

    java.lang.Object
      com.hammurapi.eventbus.AbstractEventHandler<E,P,C,H,S>
          com.hammurapi.eventbus.EventHandlerFilter<E,P,C,H,S>

Type Parameters:
  `E` -
  `P` -
  `C` -
  `H` -
  `S` -

All Implemented Interfaces:
  EventHandler<E,P,C,H,S>, EventHandlerBase<E,P,C>

    public class EventHandlerFilter<E,P extends Comparable<P>,C,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

extends AbstractEventHandler<E,P,C,H,S>

This class delegates to another event handler. The class is initialized from the master handler. Initialization parameters can be changed afterwards.

Nested Class Summary

Nested classes/interfaces inherited from interface com.hammurapi.eventbus.EventHandlerBase
`EventHandlerBase.Mode`

Constructor Summary
`EventHandlerFilter(EventHandler<E,P,C,H,S> master)`

Method Summary
`EventHandler<E,P,C,H,S>` | `getMaster()`
`void` | `post(EventDispatchContext<E,P,C,H,S> context, E... events)` Posts event for handling.

Methods inherited from class com.hammurapi.eventbus.AbstractEventHandler
`consumes, getCardinality, getContext, getMode, getPredicate, getPriority, isOneOff, reset, setCardinality, setConsumes, setContext, setMode, setOneOff, setPredicate, setPriority, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventHandlerFilter

    public EventHandlerFilter(EventHandler<E,P,C,H,S> master)

Method Detail

### post

    public void post(EventDispatchContext<E,P,C,H,S> context,
                     E... events)

  Description copied from interface: `EventHandler`
  Posts event for handling.

  Parameters:
    `context` - Event dispatching context.
    `events` - Events to handle. An event to handle if there is one event. A tuple of joined events to handle otherwise.

### getMaster

    public EventHandler<E,P,C,H,S> getMaster()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD